Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint
Class ClassRules.Detail

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.ClassRules.Detail

Enclosing class:
  ClassRules

    public static class ClassRules.Detail

extends java.lang.Object

Represents a detail to retrieve for a given class.

(Unpublished)

Method Summary
`boolean` | `equals(java.lang.Object o)` Overrides the default equality implementation.
`java.lang.String` | `getMethod()` Returns the method name.
`java.lang.String` | `getName()` Returns the name of the detail.
`java.lang.String` | `getSortAttribute()` Returns the sort attribute name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `ClassRules.Detail`
  Overrides the default equality implementation. Two `Detail` objects are equal if either the name or the method are equal.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to compare to
  Returns:
    `true` if the two objects are equal

### getName

    public java.lang.String getName()

  Description copied from class: `ClassRules.Detail`
  Returns the name of the detail.

  Returns:
    the name of the detail
  (Unpublished)

### getMethod

    public java.lang.String getMethod()

  Description copied from class: `ClassRules.Detail`
  Returns the method name.

  Returns:
    the method name
  (Unpublished)

### getSortAttribute

    public java.lang.String getSortAttribute()

  Description copied from class: `ClassRules.Detail`
  Returns the sort attribute name.

  Returns:
    the attribute name
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD